Permalink
Browse files

- changing minimal version for OCaml: Coq uses Filename.dirsep that i…

…s available from OCaml 3.11.2 (see bug #2707)

- fixing outdated address for Coq Club

git-svn-id: svn+ssh://scm.gforge.inria.fr/svn/coq/trunk@14987 85f007b7-540e-0410-9357-904b9bb8a0f7
  • Loading branch information...
notin
notin committed Feb 20, 2012
1 parent 18ea9b8 commit 70621433c2c4028650e1c09e88c496f0aba67a6f
Showing with 12 additions and 12 deletions.
  1. +3 −3 INSTALL
  2. +3 −3 README
  3. +3 −3 configure
  4. +3 −3 doc/faq/FAQ.tex
View
@@ -39,9 +39,9 @@ WHAT DO YOU NEED ?
urpmi coq
- Should you need or prefer to compile Coq V8.2 yourself, you need:
+ Should you need or prefer to compile Coq V8.4 yourself, you need:
- - Objective Caml version 3.10.0 or later
+ - Objective Caml version 3.11.2 or later
(available at http://caml.inria.fr/)
- Camlp5 (version <= 4.08, or 5.* transitional)
@@ -87,7 +87,7 @@ QUICK INSTALLATION PROCEDURE.
INSTALLATION PROCEDURE IN DETAILS (NORMAL USERS).
=================================================
-1- Check that you have the Objective Caml compiler version 3.10.0 (or later)
+1- Check that you have the Objective Caml compiler version 3.11.2 (or later)
installed on your computer and that "ocamlmktop" and "ocamlc" (or
its native code version "ocamlc.opt") lie in a directory which is present
in your $PATH environment variable.
View
6 README
@@ -38,7 +38,7 @@ THE COQ CLUB.
discuss questions about the Coq system and related topics. The submission
address is:
- coq-club@coq.inria.fr
+ coq-club@inria.fr
The topics to be discussed in the club should include:
@@ -55,7 +55,7 @@ THE COQ CLUB.
To be added to, or removed from, the mailing list, please write to:
- coq-club-request@coq.inria.fr
+ coq-club-request@inria.fr
Please use also this address for any questions/suggestions about the
Coq Club. It might sometimes take a few days before your messages get
@@ -67,7 +67,7 @@ BUGS REPORT.
Send your bug reports by filling a form at
- http://logical.saclay.inria.fr/coq-bugs
+ http://coq.inria.fr/bugs
To be effective, bug reports should mention the Caml version used
to compile and run Coq, the Coq version (coqtop -v), the configuration
View
@@ -445,16 +445,16 @@ esac
CAMLVERSION=`"$bytecamlc" -version`
case $CAMLVERSION in
- 1.*|2.*|3.0*)
+ 1.*|2.*|3.0*|3.10*|3.11.[01])
echo "Your version of Objective-Caml is $CAMLVERSION."
if [ "$force_caml_version" = "yes" ]; then
echo "*Warning* You are compiling Coq with an outdated version of Objective-Caml."
else
- echo " You need Objective-Caml 3.10.0 or later."
+ echo " You need Objective-Caml 3.11.2 or later."
echo " Configuration script failed!"
exit 1
fi;;
- 3.1*)
+ 3.11.2|3.12*)
CAMLP4COMPAT="-loc loc"
echo "You have Objective-Caml $CAMLVERSION. Good!";;
*)
View
@@ -379,15 +379,15 @@ \section{Documentation}
sections that are missing). Please send contributions to Coq-Club.
\Question{Is there any mailing list about {\Coq}?}
-The main {\Coq} mailing list is \url{coq-club@pauillac.inria.fr}, which
+The main {\Coq} mailing list is \url{coq-club@inria.fr}, which
broadcasts questions and suggestions about the implementation, the
logical formalism or proof developments. See
-\ahref{http://coq.inria.fr/mailman/listinfo/coq-club}{\url{http://pauillac.inria.fr/mailman/listinfo/coq-club}} for
+\ahref{http://coq.inria.fr/mailman/listinfo/coq-club}{\url{http://sympa-roc.inria.fr/wws/info/coq-club}} for
subscription. For bugs reports see question \ref{coqbug}.
\Question{Where can I find an archive of the list?}
The archives of the {\Coq} mailing list are available at
-\ahref{http://pauillac.inria.fr/pipermail/coq-club}{\url{http://coq.inria.fr/pipermail/coq-club}}.
+\ahref{http://pauillac.inria.fr/pipermail/coq-club}{\url{http://sympa-roc.inria.fr/wws/arc/coq-club}}.
\Question{How can I be kept informed of new releases of {\Coq}?}

0 comments on commit 7062143

Please sign in to comment.